<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% if @related_page %>
  <% breadcrumb_for_page(@related_page, t(:label_table_of_contents)) %>
<% else %>
  <% breadcrumb_paths(t(:label_table_of_contents)) %>
<% end %>

<%= toolbar title: t(:label_wiki_toc) do %>
  <%= content_tag(:li, watcher_link(@wiki, User.current), class: 'toolbar-item') %>
<% end %>

<% html_title t(:label_wiki_toc) %>

<div class="wiki-content">
  <%= render_page_hierarchy(@pages_by_parent_id, nil, timestamp: true) %>
</div>

<% unless @pages.empty? %>
  <%= other_formats_links do |f| %>
    <%= f.link_to 'Atom', url: {controller: '/activities', action: 'index', show_wiki_edits: 1, key: User.current.rss_key} %>
    <%= f.link_to('HTML', url: {action: 'export'}) if User.current.allowed_in_project?(:export_wiki_pages, @project) %>
  <% end %>
<% else %>
  <%= no_results_box(action_url:     new_project_wiki_path(@project),
                     display_action: authorize_for('wiki', 'new')) %>
<% end %>

<% content_for :header_tags do %>
  <%= auto_discovery_link_tag(:atom, controller: '/activities', action: 'index', id: @project, show_wiki_edits: 1, format: 'atom', key: User.current.rss_key) %>
<% end %>
